XCUR2PNG(1)

NAME
xcur2png - take PNG images from Xcursor and generate xcursorgen config-file

SYNOPSIS
xcur2png [ -V ] [ --version ]

xcur2png [ -h ] [ --help ]

xcur2png [ -c conf-path ] [ --conf=conf-path ] [ -d dir-path ] [ --directory=dir-path ] [ -i suffix ] [ --initial-suffix=suffix ] [ -q ] [ --quiet ] [ -n ] [ --dry-run ] Xcursor-file

DESCRIPTION
Xcur2png takes PNG images from Xcursor-file, and generate config-file which is reusable by xcursorgen(1). To put it simply, it is converter from X cursor to PNG image.

Xcursor-file is a path to existent Xcursor file. Multiple Xcursor-file is not supported. Generated PNG images are saved in current directory.

OPTIONS

-V, --version
    Display the version number and exit with status 0.

-h, --help
    Display the usage message and exit with status 0.

-c conf-path, --conf=conf-path
    Set output path of config-file. If "-" is specified, stdout(3) is used. If not specified, [file name of Xcursor-file].conf is used. If "conf-path" is directory, config-file is saved under specified directory as [file name of Xcursor-file].conf.

-d dir-path, --directory=dir-path
    Set the path of a directory which PNG images are saved in. If not specified, current directory is used.

-i suffix, --initial-suffix=suffix
    Set the initial suffix of PNG images to suffix. suffix must be positive integer and no more than 999. When suffix goes up to 999, xcur2png exits with negative status.

-q, --quiet
    Suppress progress message.

-n, --dry-run
    Do not output PNG images and config-data to files. Config-data is sent to stdout and progress message is suppressed.

EXIT STATUS

xcur2png returns the number of output PNG images if the conversion successfully finished and config-file generated. If error occurs, xcur2png returns negative.

SEE ALSO
xcursorgen(1)